[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

enigmail_1.4.1-2~bpo60+1_amd64.changes ACCEPTED into squeeze-backports





Accepted:
enigmail_1.4.1-2~bpo60+1.diff.gz
  to main/e/enigmail/enigmail_1.4.1-2~bpo60+1.diff.gz
enigmail_1.4.1-2~bpo60+1.dsc
  to main/e/enigmail/enigmail_1.4.1-2~bpo60+1.dsc
enigmail_1.4.1-2~bpo60+1_amd64.deb
  to main/e/enigmail/enigmail_1.4.1-2~bpo60+1_amd64.deb
enigmail_1.4.1.orig.tar.gz
  to main/e/enigmail/enigmail_1.4.1.orig.tar.gz


Changes:
enigmail (2:1.4.1-2~bpo60+1) squeeze-backports; urgency=low
 .
  * Rebuild for squeeze-backports. (Closes: #698822)
  * Added myself to Uploaders, with Willi's permission.
 .
enigmail (2:1.4.1-2) unstable; urgency=low
 .
  * install.rdf: 1.4.1 works with iceape 2.7
    (Closes: 161046, 197339, 376572, 401703, 479854)
 .
enigmail (2:1.4.1-1) unstable; urgency=low
 .
  * d/control: bump icedove-dev build-dependency
  * d/control: Add Homepage: field
  * d/control: Add ${xpi:Breaks} (Closes: 664427)
  * Imported Upstream version 1.4.1
  * Refresh patches, fix version number in install.rdf
 .
enigmail (2:1.4-1) unstable; urgency=low
 .
  * New upstream version 1.4 (closes: #665712)
  * Remove no longer needed patch "nonexisting methods"
  * d/control: Standards-Version 3.9.2 => 3.9.3 (no changes)
  * d/control: Add ${xpi:Depends}
 .
enigmail (2:1.3.4-2) unstable; urgency=low
 .
  * debian/rules: Use chrome-format "omni". This fixes incomplete locales,
    which fixes enigmail not working under some locales. Thanks to
    Patrick Brunschwig for the hint. (Closes: #656306, #656629)
 .
enigmail (2:1.3.4-1) unstable; urgency=low
 .
  * New upstream release
  * Add debian/watch
  * Add some *.pyc files to debian/clean
 .
enigmail (2:1.3.3-1) experimental; urgency=low
 .
  * New upstream release (closes: #647850)
  * Required differences to Ubuntu package:
    - Fix xpidl path in config/config.mk
    - build with system nspr
    - Setting specific CXXFLAGS
  * avoid dh_makeshlibs call, enigmail is no library package.
  * Standards-Version 3.9.1 => 3.9.2, no changes.
 .
enigmail (2:1.3.2-0ubuntu2) precise; urgency=low
 .
  * Rebuild for Thunderbird 8
 .
enigmail (2:1.3.2-0ubuntu1) oneiric; urgency=low
 .
  * New upstream release v1.3.2
  * Make sure we remove the .bzr folder from the tarball when we build it
    - update debian/rules
 .
enigmail (2:1.3.1-0ubuntu1) oneiric; urgency=low
 .
  * New upstream release
  * Drop patch which isn't necessary for now:
    - remove debian/patches/port_to_latest_thunderbird.diff
    - update debian/patches/series
  * Refresh patches
    - update debian/patches/makefile_depth.diff
  * Build with Thunderbird 7
    - update debian/rules
 .
enigmail (2:1.2.1-1) experimental; urgency=low
 .
  * New upstream release. closes: #636606
  * Drop patch fix_install_rdf_xml_errors.diff, included upstream
  * Refresh patch ipc-pipe_rename.diff
 .
enigmail (2:1.2.1-0ubuntu1) oneiric; urgency=low
 .
  * New upstream release
  * Drop fix_install_rdf_xml_errors.diff - fixed upstream
  * Refresh port_to_latest_thunderbird.diff
  * Add a proper get-orig-source target which pulls the build system from
    lp:~mozillateam/mozilla-build-system/beta, now that we don't have the old
    build-system.tar.gz from xulrunner
 .
enigmail (2:1.2-1) experimental; urgency=low
 .
  * Merge from Ubuntu. Remaining changes:
    - Remove thunderbird-dev build depends
    - Remove -fshort-wchar from CXXFLAGS
    - Reintroduce using system nspr when building for icedove (debian/rules)
  * Update to Standards-Version 3.9.2
  * Do not run dh_makeshlibs, causes unneeded ldconfig calls in postinst/rm
    - add override_dh_makeshlibs to debian/rules
  * Remove the Thunderbird 6.0 patch, not expected to work with icedove 5.0
  * Fix path to xpidl and xpt_link: config/config.mk
    - new patch fix-xpidl-path.diff
  * Add some files to debian/clean that were not removed by interrupted builds
 .
enigmail (2:1.2-0ubuntu2) oneiric; urgency=low
 .
  * Drop build_system_dont_link_libxul.diff - this isn't needed in current
    Thunderbird versions, as it ships a libxul.so
  * Bump maxVersion to 6.0.*
    - add debian/patches/port_to_latest_thunderbird.diff
    - update debian/patches/series
  * Look for the Thunderbird 6 SDK
    - update debian/rules
  * The SDK no longer provides an xpt_link binary for creating the typelibs.
    Use xpt.py instead (will be fixed when we refresh the build system)
    - update debian/patches/port_to_latest_thunderbird.diff
 .
enigmail (2:1.2-0ubuntu1) oneiric; urgency=low
 .
  * Update to new upstream release v1.2
  * Build with --disable-elf-hack - it's broken on oneiric, and is a no-op
    on Ubuntu anyway
    - update debian/rules
 .
enigmail (2:1.2~a2~cvs20110627t1630-0ubuntu2) oneiric; urgency=low
 .
  * Drop the nspr build-dep and don't build with --with-system-nspr.
    Thunderbird provides this already, and avoids needing to bump nspr
    on older releases just to build enigmail
    - update debian/rules
    - update debian/control
 .
enigmail (2:1.2~a2~cvs20110627t1630-0ubuntu1) oneiric; urgency=low
 .
  * Update to latest trunk snapshot
  * Update debian/patches/makefile_depth.diff
  * Fix XML parsing errors in install.rdf
    - add debian/patches/fix_install_rdf_xml_errors.diff
    - update debian/patches/series
 .
enigmail (2:1.2~a2~cvs20110606t2200-0ubuntu3) oneiric; urgency=low
 .
  * Add build/unix/elfhack/Makefile to debian/clean. It doesn't get cleaned
    by the build system, and there is a copy in the tree already which
    breaks the build
    - update debian/clean
 .
enigmail (2:1.2~a2~cvs20110606t2200-0ubuntu2) oneiric; urgency=low
 .
  * Build with --disable-webm and --disable-libjpeg-turbo so we don't need to
    build-depend on yasm. I really do need to clean all of this useless
    junk out of the configure script
    - update debian/rules
 .
enigmail (2:1.2~a2~cvs20110606t2200-0ubuntu1) oneiric; urgency=low
 .
  * Update to latest trunk snapshot for Thunderbird beta compat
 .
  * Remove build/pgo/profileserver.py from debian/clean. The new build
    system has a target depending on this
    - update debian/clean
  * Drop debian/patches/autoconf.diff, just generate this at build time
  * Refresh debian/patches/build_system_dont_link_libxul.diff
  * libipc seems to be renamed to libipc-pipe. Fix genxpi and chrome.manifest
    to fix this
    - add debian/patches/ipc-pipe_rename.diff
    - update debian/patches/series
  * The makefiles in extensions/enigmail/ipc have an incorrect DEPTH
    attribute. Fix this so that they can find the rest of the build system
    - add debian/patches/makefile_depth.diff
    - update debian/patches/series
  * Drop debian/patches/makefile-in-empty-xpcom-fix.diff - fixed in the
    current version
  * Don't register a class ID multiple times, as this breaks enigmail entirely
    - add debian/patches/dont_register_cids_multiple_times.diff
    - update debian/patches/series
  * Look for the Thunderbird 5 SDK
    - update debian/rules
    - update debian/control
  * Run autoconf2.13 at build time
    - update debian/rules
    - update debian/control
  * Add useless mesa-common-dev build-dep, just to satisfy the build system.
    We should just patch this out entirely really, but that's for another upload
    - update debian/control
 .
enigmail (2:1.1.2-1ubuntu1) maverick; urgency=low
 .
  * Merge from Debian experimental, remaining changes:
    + Add back thunderbird-dev build depends
      - update debian/control
    + Add -fshort-wchar to CXXFLAGS
      - update debian/rules
 .
enigmail (2:1.1.2-1) experimental; urgency=low
 .
  * Merge changes from Ubuntu
    - do not merge the -fshort-char change. Hack only required in Ubuntu.
  * This version is for icedove 3.1, so upload to experimental. Closes: #591376
  * Update to Standards-Version 3.9.1 (no changes)
  * debian/rules: Rename DEBIANSPECIFICFLAGS to CONFIGFLAGS and remove some
    commented lines.
  * Add 3 files to debian/clean. They may otherwise end up in diff if build is
    attempted without all build-deps being installed.
 .
enigmail (2:1.1.2-0ubuntu1) maverick; urgency=low
 .
  * New upstream release
 .
  * Merge from debian unstable.  Remaining changes:
    - Drop versioned mozilla-devscripts dependency since we don't build on
      mips or mipsel
    - Add back thunderbird-dev build depends
      - update debian/control
    - fixes LP: #565014 - No signature detected in emails signed using pgp/mime
 .
  * Update build-depends on thunderbird or icedove to >= 3.1~
    - update debian/control
  * Drop frozen_api patch as changes were accepted upstream
    - drop debian/patches/frozen_api.diff
    - update debian/patches/series
  * Use system NSPR in Ubuntu as well
    - update debian/rules
  * Build with -fshort-wchar for now to make the build succeed
    - update debian/rules


Override entries for your package:
enigmail_1.4.1-2~bpo60+1.dsc - source mail
enigmail_1.4.1-2~bpo60+1_amd64.deb - optional mail

Announcing to debian-backports-changes@lists.debian.org


Thank you for your contribution to backports.debian.org archive.
contribution to backports.debian.org archive.


Reply to: